Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QAccessibleEvent Class Reference

The QAccessibleEvent class is used to query addition accessibility information about complex widgets. More...

     #include <QAccessibleEvent>

Inherits: QEvent.

- List of all members, including inherited members

## Public Functions

| QAccessibleEvent ( Type type, int child )
int | child () const
void | setValue ( const QString & text )
QString | value () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QAccessibleEvent class is used to query addition accessibility information about complex widgets.

The event can be of type QEvent::AccessibilityDescription or QEvent::AccessibilityHelp.

Some QAccessibleInterface implementations send QAccessibleEvents to the widget they wrap to obtain the description or help text of a widget or of its children. The widget can answer by calling setValue() with the requested information.

The default QWidget::event() implementation simply sets the text to be the widget's tooltip (for AccessibilityDescription event) or its "What's This?" text (for AccessibilityHelp event).

## Member Function Documentation

### QAccessibleEvent::QAccessibleEvent ( Type type, int child )

Constructs an accessibility event of the given type, which must be QEvent::AccessibilityDescription or QEvent::AccessibilityHelp.

child is the (1-based) index of the child to which the request applies. If child is 0, the request is for the widget itself.

See also child().

### int QAccessibleEvent::child () const

Returns the (1-based) index of the child to which the request applies. If the child is 0, the request is for the widget itself.

### void QAccessibleEvent::setValue ( const QString & text )

Set the description or help text for the given child() to text, thereby answering the request.

See also value().

### QString QAccessibleEvent::value () const

Returns the text set using setValue().

See also setValue().